import type IsAction from "../Interfaces/IsAction";
import type HasActionAlertData from "../Interfaces/HasActionAlertData";

/**
 * Alert action
 * 
 * @since 1.0.0
 */
export default class ActionAlert implements IsAction {
    /**
     * Action data.
     * 
     * @since 1.0.0
     */
    private data: HasActionAlertData;

    /**
    * Constuctor.
    * 
    * @param form Form object.
    * @param data Action data.
    * 
    * @since 1.0.0
    */
    public constructor(data: HasActionAlertData) {
        this.data = data;
    }

    /**
     * Run action.
     * 
     * @return boolean True if action was executed successfully.
     * 
     * @since 1.0.0
     */
    public execute() : boolean {
        alert(this.data.message);
        return true;
    }
}