import { modalStore } from "$lib/Stores/ModalStore";
import type HasActionModalData from "../Interfaces/HasActionModalData";
import type IsAction from "../Interfaces/IsAction";

/**
 * Alert action
 * 
 * @since 1.0.0
 */
export default class ActionModal implements IsAction {
    /**
     * Action data.
     * 
     * @since 1.0.0
     */
    private data: HasActionModalData; 

    /**
    * Constuctor.
    * 
    * @param form Form object.
    * @param data Action data.
    * 
    * @since 1.0.0
    */
    public constructor(data: HasActionModalData) {
        this.data = data;
    }

    /**
     * Run action.
     * 
     * @return boolean True if action was executed successfully.
     * 
     * @since 1.0.0
     */
    public execute() : boolean {
        modalStore.set(this.data);
        return true;
    }    
}