import { alertStore } from "$lib/Stores/NoticeStore";
import type IsAction from "../Interfaces/IsAction";
import type HasActionNoticeData from "../Interfaces/HasActionNoticeData";

/**
 * Notice action
 * 
 * @since 1.0.0
 */
export default class ActionNotice implements IsAction {
    /**
     * Action data.
     * 
     * @since 1.0.0
     */
    private data: HasActionNoticeData;

    /**
    * Constuctor.
    * 
    * @param form Form object.
    * @param data Action data.
    * 
    * @since 1.0.0
    */
    public constructor(data: HasActionNoticeData) {
        this.data = data;
    }

    /**
     * Run action.
     * 
     * @since 1.0.0
     * 
     * @return boolean True if action was executed successfully.
     */
    public execute() : boolean {
        alertStore.set(this.data);
        return true;
    }
}